WordPress.org

Ready to get started?Download WordPress

Forums

TinyMCE broken after upgrade, suggested fixes not working (15 posts)

  1. Johansensen
    Member
    Posted 3 years ago #

    Hi guys,

    I posted about this in another thread, but in retrospect creating my own would have been a better idea. So that's what I'm doing. ;)

    I have a user running a wordpress site which was until recently on 3.0.5. One of the managers had a quite incredible lapse in judgment a while ago and gave this user direct access to the server, so before I knew anything about it he had upgraded both test and production environments to 3.1. Predictably enough, the upgrade broke a few things, and I'm now trying to find out why the tinymce rich-text editor is failing to load.

    The exact nature of the problem is the same as described by a user here, the tinymce box displays the markup of the page in the same colour as the background so it becomes visible when selected, and when the 'html' tab is clicked and then the 'visual' tab is clicked again, the markup becomes visible normally. I don't know what the RTF editor buttons actually look like when they're working, but either way they're not there.

    I have tried all the troubleshooting options suggested in the master thread, i.e. disabling all plugins and reverting to the original theme, but so far nothing I've tried has made any difference at all.

    Hoping someone can help me, so I can get this user off my back! :P

  2. Tara
    Member
    Posted 3 years ago #

  3. Johansensen
    Member
    Posted 3 years ago #

    As stated above, yes I have.

  4. Johansensen
    Member
    Posted 3 years ago #

    Some progress, but not really that much:

    I have discovered that actually *removing* all installed themes (as opposed to disabling) makes TinyMCE suddenly work again. However, this is not very comforting seeing as having any theme at all present, even a freshly-downloaded version of twentyten 1.1, causes TinyMCE to go back to resolutely not working. Sadly for this user theming is a non-optional thing, so I'm going to need to find the root cause of this issue and work around it somehow.

    I have also tried manually copying wp-admin and wp-includes from a download of the 3.1 tarball, in case the auto upgrade didn't do it right, but to no avail.

    Any thoughts for what I can try? Even vague suggestions would be great at this point.

  5. Tara
    Member
    Posted 3 years ago #

    even a freshly-downloaded version of twentyten 1.1, causes TinyMCE to go back to resolutely not working.

    I use Twenty Ten and 3.1, and have problem with TinyMCE.

    -Have contacted your hosting provider, if there is any limitations or restrictions, etc.

  6. Johansensen
    Member
    Posted 3 years ago #

    My hosting provider is a very large VM farm run by my organisation, and the server itself is administered by me, so I doubt there are any material restrictions being placed on it.

    Either way, I would be very surprised if something like a theme (which is essentially a whole bunch of css, right?) managed to break the php memory limit or something. Then again, wordpress has surprised me a lot in the last couple of weeks, so perhaps I shouldn't speak too soon...

  7. Tara
    Member
    Posted 3 years ago #

    apparently, something is interfering with your TinyMCE. So you need to investigate what might be causing this interference.

    to further troubleshoot, you may try:

    -deactivating ALL plugins temporarily to narrow down and possibly fix the problem. If the problem goes away, activate them individually (one-by-one) to find the culprit.

    -switching to the default theme ("twentyten") for a moment by renaming your current theme's folder in wp-content/themes. The idea is to force WordPress to fall back to the default theme to rule out any theme-specific issue.

    --Try adding this to the wp-config.php: define('CONCATENATE_SCRIPTS', false); before this line: require_once. First, make sure that your browser has JavaScript enabled.
    Documentation: http://codex.wordpress.org/Editing_wp-config.php#Disable_Javascript_Concatenation

  8. Johansensen
    Member
    Posted 3 years ago #

    As above, I have already tried the first two suggestions. The concatenate_scripts mode idea also sadly does not help. Thanks for the suggestions.

  9. Tara
    Member
    Posted 3 years ago #

    -try increasing memory available for php.

    -If the above steps do not resolve the issue, Download WordPress again and replace your copies of everything EXCEPT the wp-config.php file and the /wp-content/ directory with fresh copies. This should replace your core files without changing your content and settings in wp-config.php file and the /wp-content/ directory. ALWAYS BACKUP FIRST

  10. Johansensen
    Member
    Posted 3 years ago #

    So it turns out that having themes installed *was* breaking the php memory limit. Increasing the limit from 16 to 32 solved the problem. This doesn't make me any less unimpressed with WP (in fact it makes me more so), but my problem is solved and the user will be happy, which right now is what matters.

    Thanks for your help.

  11. Tara
    Member
    Posted 3 years ago #

    You are welcome. :-)

    Please mark thread as "resolved" using the dropdown in the right panel so that:
    - others with similar problem can see it as "resolved" and will read this thread for help if they have similar problem.
    -volunteers providing help see it as "resolved" and will not waste time reading it.

  12. Johansensen
    Member
    Posted 3 years ago #

    I'm back... turns out that wasn't the solution after all. Sigh...

    I've now tried all troubleshooting steps that have been suggested so far, all I know is that the editor starts working again if no theme content whatsoever is present.

  13. Bozz
    Member
    Posted 3 years ago #

    Also having problems with TinyMCE not loading after upgrading to 3.1. I have followed the steps outlined above, and have no success. Any additional help on this issue would be appreciated.

  14. Bozz
    Member
    Posted 3 years ago #

    My conflict turned out to be the Scissors plugin. There is a new plugin that is updated and apparently works on 3.1, if anyone else has this conflict:

    http://wordpress.org/extend/plugins/scissors-continued/

  15. themightyant
    Member
    Posted 2 years ago #

    Hi, I have a possible solution that worked for me.

    Go into Your settings -> General section of your admin.
    In Site URL or Home URL is there a colon ':' ? removing the colon bought back the visual editor.

    For those more advanced users you can check this also through phpMyAdmin. in the wp_options table look for siteurl

    I hope it works for you too

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.